LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-10-2008, 01:04 AM   #1
bloodyscript
Member
 
Registered: Apr 2006
Distribution: Sabayon linux 5.1
Posts: 182

Rep: Reputation: 15
swf codec problem SOLVED


hello, i have this problem, i just recently installed Debian Linux the new release. and than i wanted to install flash, so i went to synaptic package manager search flash and installed the flash components i could find.

(swf-player, libswfdec0.3-dev, libswfdec0.3, libflash0c2, libflash-dev, libflash-mozplugin, libflash-swfplayer)

now when i went to site that uses flash in ever spot that used it i got this message "this swf file is known to trigger bugs in the swfdec decoder. playback is cancelled"

so then i went to adobe.com got the new adobe flash player tried to install it i just ran the .sh file in terminal then followed the instructions to thebest of my ability. it told me to remove the xpti.dat file or sum thing on those lines from Mozzila/Firefox dir but i could not find it so i went to the same flash site and received the same msg

Last edited by bloodyscript; 07-10-2008 at 03:30 AM.
 
Old 07-10-2008, 02:03 AM   #2
original_jamingrit
LQ Newbie
 
Registered: Aug 2007
Location: Ottawa, Ont. Canada
Distribution: Slackware
Posts: 11

Rep: Reputation: 0
did you try uninstalling swfdec first, through synaptic? Did swfdec and adobeflash both install to your .mozilla directory in your home?

If so, try deleting your ~/.mozilla directory. If the flash plugins installed only for your home directory, they would be there. Deleting .mozilla will also remove all of your bookmarks and extensions, so back up whatever you need to first. After doing that, run firefox once again (which will re-create ~/.mozilla) and then try reinstalling swfdec or adobe.
 
Old 07-10-2008, 02:26 AM   #3
bloodyscript
Member
 
Registered: Apr 2006
Distribution: Sabayon linux 5.1
Posts: 182

Original Poster
Rep: Reputation: 15
i havnt install or mozzila/firefox yet i have the out the box iceweasel and epiphany web browsers though would there be a mozzila folder still sence there mozzilla bassed anyways ive been researching it myself and found that swfdec-0.4.2 it was fixed so does that mean swfdec-0.7.2 will work and if it does im trying to install it and i get

"checking for PANGO... no
configure: error: pangocairo >= 1.16 is required to build swfdec"

but i installed pango-1.17.5 and cairo-1.0 is that the right files or is there a acual pangocairo file if so were do i get it i can not find it any were thats why i downloaded seperated files ok the problem has been solved

Last edited by bloodyscript; 07-10-2008 at 03:17 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
codec problem rob33n Debian 4 11-09-2007 01:48 AM
Problem with Firefox: SWF File errors grizzlyaka Fedora 3 08-18-2005 07:39 PM
how to install divx codec?where to get codec ginda Linux - Newbie 1 10-22-2004 12:47 PM
Problem 1: swf slow godsyn Linux - Newbie 7 05-02-2004 05:19 PM
Xine Codec Problem gsibble Linux - Software 0 08-17-2003 01:46 AM


All times are GMT -5. The time now is 05:25 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration